clang-tools 6.0.0

Classes | Namespaces | Functions
SimplifyBooleanExprCheck.cpp File Reference
`#include "SimplifyBooleanExprCheck.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/Lex/Lexer.h"`
`#include <cassert>`
`#include <string>`
`#include <utility>`
Include dependency graph for SimplifyBooleanExprCheck.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::readability::SimplifyBooleanExprCheck::Visitor

## Namespaces
| clang
| clang::tidy
| clang::tidy::readability

## Functions
bool | clang::tidy::readability::containsBoolLiteral (const Expr *E)